%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%define _exclude_files_from_autoprov %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Screen capture tool for Xfce
Name:		xfce4-screenshooter
Version:	1.8.1
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/xfce4-screenshooter
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		xfce4-screenshooter-1.8.1-automake1.13.patch
# From upstream git:
# http://git.xfce.org/apps/xfce4-screenshooter/commit/?id=08053b
Patch10:	xfce4-screenshooter-1.8.1-fix-plugin-build.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(exo-1)
BuildRequires:	xfce4-dev-tools
Provides:	xfce4-screenshooter-plugin
Requires:	xfce4-panel >= 4.4.2

%description
This application allows you to capture the entire screen, 
the active window or a selected region. You can set the delay 
that elapses before the screenshot is taken and the action that 
will be done with the screenshot: save it to a PNG file, copy 
it to the clipboard, or open it using another application.
 
A plugin for the Xfce panel is also available.
 
%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/applications/xfce4-screenshooter.desktop
%{_iconsdir}/hicolor/*/apps/*.*g
%{_mandir}/man1/*
%doc %{_datadir}/xfce4/doc/*/images/*.png
%doc %{_datadir}/xfce4/doc/*/*.html


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-4.mga3
+ Revision: 386863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.8.1-3.mga3
+ Revision: 338198
- add patch to fix build with automake 1.13

* Sat Nov 10 2012 wally <wally> 1.8.1-2.mga3
+ Revision: 316850
- replace linking patch with one from upstream to fix plugin build
- exclude plugin .so from provides

* Mon May 28 2012 wally <wally> 1.8.1-1.mga3
+ Revision: 248588
- new version 1.8.1
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.8.0-2.mga2
+ Revision: 190111
- add patch to fix linking
- rebuild for new xfce4-panel

* Tue Sep 06 2011 tv <tv> 1.8.0-1.mga2
+ Revision: 139824
- new release

* Sat Feb 19 2011 ahmad <ahmad> 1.7.9-3.mga1
+ Revision: 54236
- imported package xfce4-screenshooter

